using System;
using System.Collections.Generic;
using UnityEngine;

namespace UVC.Twin.MonitoringUI
{
    [Serializable]
    public class EquipmentCardData
    {
        [SerializeField] public string Id;
        [SerializeField] public string Title;
        [SerializeField] public bool IsSummaryCard;
        [SerializeField] public List<BarChartItemData> Charts = new();
        [SerializeField] public string CurrentWorkOrder;
        [SerializeField] public string NextWorkOrder;

        public EquipmentCardData() { }

        public EquipmentCardData(string id, string title, bool isSummaryCard,
            List<BarChartItemData> charts, string currentWO = "", string nextWO = "")
        {
            Id = id;
            Title = title;
            IsSummaryCard = isSummaryCard;
            Charts = charts;
            CurrentWorkOrder = currentWO;
            NextWorkOrder = nextWO;
        }
    }
}
